using System.Collections;
using System.Windows;
using System.Windows.Controls;

namespace SWRIS.Controls
{
    /// <summary>
    /// NotificationBar.xaml 的交互逻辑
    /// </summary>
    public partial class NotificationBar : UserControl
    {
        public NotificationBar()
        {
            InitializeComponent();
        }

        public static readonly DependencyProperty MessagesProperty =
           DependencyProperty.Register("Messages", typeof(IEnumerable), typeof(NotificationBar),
               new PropertyMetadata(null));

        public IEnumerable Messages
        {
            get { return (IEnumerable)GetValue(MessagesProperty); }
            set { SetValue(MessagesProperty, value); }
        }

        public static readonly DependencyProperty CornerRadiusProperty =
         DependencyProperty.Register("CornerRadius", typeof(CornerRadius), typeof(NotificationBar),
             new PropertyMetadata(new CornerRadius(25, 25, 25, 25)));

        public CornerRadius CornerRadius
        {
            get { return (CornerRadius)GetValue(CornerRadiusProperty); }
            set { SetValue(CornerRadiusProperty, value); }
        }

        public static readonly DependencyProperty TextPaddingProperty =
        DependencyProperty.Register("TextPadding", typeof(Thickness), typeof(NotificationBar),
            new PropertyMetadata(new Thickness(20, 10, 20, 10)));

        public Thickness TextPadding
        {
            get { return (Thickness)GetValue(TextPaddingProperty); }
            set { SetValue(TextPaddingProperty, value); }
        }
    }
}
